﻿using System;
using System.Runtime.InteropServices;

namespace FormulaAllCode
{
    class Program
    {
        static void Main(string[] args)
        {
            //Assign Port Number - Remember to change this to match your Formula AllCode port number
            char PortNumber = (char) 12;

            //Open Port
            FA_DLL.FA_ComOpen(PortNumber);

            //Send Play Note Command
            FA_DLL.FA_PlayNote(PortNumber, 500, 100);
            FA_DLL.FA_PlayNote(PortNumber, 100, 100);
            FA_DLL.FA_PlayNote(PortNumber, 600, 100);

            //Print String on LCD
            FA_DLL.FA_LCDClear(PortNumber);
            FA_DLL.FA_LCDPrintString(PortNumber, 19, 8, "Formula AllCode");
            FA_DLL.FA_LCDPrintString(PortNumber, 34, 16, "C# Example");

            //Close Port
            FA_DLL.FA_ComClose(PortNumber);
        }
    }
}


